package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttIrrBase;

/** 灌区信息 Service */
public interface IrrService {
    /**
     * 查询灌区信息列表
     * 
     * @param attIrrBase 查询条件
     * @return 灌区信息列表
     */
    public List<AttIrrBase> selectAttIrrBaseList(AttIrrBase attIrrBase);

    /**
     * 通过灌区编码查询灌区信息
     * 
     * @param irrCode 灌区编码
     * @return 灌区信息
     */
    public AttIrrBase selectAttIrrBaseById(String irrCode);

    /**
     * 批量删除灌区信息
     * 
     * @param irrCodes 灌区编码数组
     * @return 删除行数
     */
    public int deleteAttIrrBaseByIds(String[] irrCodes);

    /**
     * 新增灌区信息
     * 
     * @param attIrrBase 灌区信息
     * @return 插入行数
     */
    public int insertAttIrrBase(AttIrrBase attIrrBase);

    /**
     * 修改灌区信息
     * 
     * @param attIrrBase 灌区信息
     * @return 更新行数
     */
    public int updateAttIrrBase(AttIrrBase attIrrBase);
}
